Subject: parallel find error

From: jklowden <[email-masked]>
Date: Sat, 16 Jul 2016 15:42:15 -0400 (EDT)

There appears to be an error in the parallel execution of find.  I
created a minimal example below.

I realize the software is old.  I was unable to find a bug report
related to it.

	--jkl

basename (GNU coreutils) 8.21
Copyright (C) 2013 Free Software Foundation, Inc.
License GPLv3+: GNU GPL version 3 or later <http://gnu.org/licenses/gpl.html>.
This is free software: you are free to change and redistribute it.
There is NO WARRANTY, to the extent permitted by law.

Written by David MacKenzie.

$ find .. -type f -name lx[tr]\*.1
../appl/xslt/lxt.1
../appl/xslt/lxreplace.1
../appl/fsgmatch/lxtransduce.1

$ find .. -type f -name lx[tr]\*.1 -exec basename {} \;
lxt.1
lxreplace.1
lxtransduce.1

$ find .. -type f -name lx[tr]\*.1 -exec basename {} +
basename: extra operand ‘../appl/fsgmatch/lxtransduce.1’
Try 'basename --help' for more information.